Results 1 to 5 of 5

Hey guys, I've just switched from a BlackBerry Curve 8300 to a BlackBerry 8800, and ... 88xx Themes forum

  1. #1
    CybaCowboy's Avatar
    CybaCowboy no está en línea Stack level 3
    Join Date
    Feb 2008
    PIN/ID
    21445DCA
    Posts
    374

    BB 8800 Theme Questions

    Advertisement



    Hey guys,


    I've just switched from a BlackBerry Curve 8300 to a BlackBerry 8800, and I've noticed a few subtle differences with themes...


    Firstly, I see people frequently refering to "4.1.x" and "4.2.x" themes - I understand that this refers to the version of BlackBerry OS my device is running, but what's the difference?

    I've had a look around at different places, but nowhere actually specifies what the difference between the two is.


    Furthermore, do "4.1.x" themes ONLY work on BlackBerry OS 4.1.x and "4.2.x" themes ONLY work on BlackBerry OS 4.2.x, or does it not matter?


    Lastly, do I need any additional software to install and/or use themes?

    I've had problems with themes not appearing for selection, and I have seen it mentioned in the past that certain "older" BlackBerry models need some sort of add-on software to run themes or something...


    ~ Posted from my BlackBerry 8800, running BlackBerry OS 4.2.1.68 ~

  2. #2
    wu-wei's Avatar
    wu-wei no está en línea Stack level 3
    Join Date
    May 2007
    PIN/ID
    CHERS!
    Posts
    114
    I've developed several themes. When compiling them for various devices, you have the option to select the OS version for which you compile. The 8800 only allows for 4.2.1. The 8300 allows for 4.2.1 or 4.2.2. The 8100 can be compiled for 4.2.0, 4.2.1 or 4.2.2.

    I don't know what differences there are between OS version and how they handle themes. I typically compile for the lowest possible OS version for a device, under the assumption that later OS versions will allow backwards compatibility. So far I haven't had any issues come up with other users installing those themes.

    Older devices did, in fact, need plazmic's theme reader installed separately. It has since been incorporated into newer OS installs.

    I have run into intermittent issues with themes not appearing in my list. Typically after a soft reset (using Soft Reset, of course) they will show up. Sometimes an actual physical battery pull is all that will get them to appear. If I recall, I did run into an issue with another theme (Simply Green, or something like that) that just refused to show up as an option. In fact, I just installed the Aqua theme that has (finally) appeared on the 8800's home page and could not get the device to recognize it as an option. In those instances, I shrug my shoulders, uninstall, and develop a new theme all on my own.

    That might be helpful information - though I admit that I can't answer the fundamental question of the difference between theme compiles for various OS versions.

  3. #3
    CybaCowboy's Avatar
    CybaCowboy no está en línea Stack level 3
    Join Date
    Feb 2008
    PIN/ID
    21445DCA
    Posts
    374
    Quote Originally Posted by wu-wei View Post
    Older devices did, in fact, need plazmic's theme reader installed separately. It has since been incorporated into newer OS installs.
    So is this built-in to my BlackBerry 8800, running BlackBerry OS 4.2.1.168?


    ~ Posted wirelessly from my BlackBerry 8800 ~

  4. #4
    cherrichiodo's Avatar
    cherrichiodo no está en línea PINStacked!
    Join Date
    Aug 2006
    PIN/ID
    ATA
    Posts
    17,164
    ~via BB (wap.pinstack.com)~

    Yes. The theme reader is built in to all the 4.2+ device OS. The 87xx and 71xx models were allowed to upgrade from 4.1 to 4.2 and then install the newer built themes. The themes for a curve are exported to 4.2.2 and the themes for the 88xx models should be exported to 4.2.1. If they are exported incorrectly they will not work.

  5. #5
    tnembhard's Avatar
    tnembhard no está en línea Stack level 1
    Join Date
    May 2006
    PIN/ID
    400a86e3
    Posts
    16
    Quote Originally Posted by cherrichiodo View Post
    ~via BB (wap.pinstack.com)~

    Yes. The theme reader is built in to all the 4.2+ device OS. The 87xx and 71xx models were allowed to upgrade from 4.1 to 4.2 and then install the newer built themes. The themes for a curve are exported to 4.2.2 and the themes for the 88xx models should be exported to 4.2.1. If they are exported incorrectly they will not work.
    Thanks, I needed that information myself.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •